Versi Graph API

Whats App Business Account Call Analytics

Membaca

Enables one to retrieve the call analytics data for this WhatsApp Business Account

Contoh

Graph API Explorer
GET /v26.0/{whats-app-business-account-id}/call_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/call_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/call_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/call_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/call_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Jika Anda ingin mempelajari cara menggunakan Graph API, baca Menggunakan panduan Graph API kami.

Parameter

ParameterKeterangan
country_codes
array<string>
Nilai default: []

Country codes to receive analytics for

dimensions
array<enum {UNKNOWN, PHONE, COUNTRY, DIRECTION, TIER}>
Nilai default: []

Dimensions to receive analytics for

directions
array<enum {UNKNOWN, BUSINESS_INITIATED, USER_INITIATED}>
Nilai default: []

Call directions to receive analytics for

end
int64

End time

Diperlukan
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

What granularity to receive analytics for

Diperlukan
metric_types
array<enum {UNKNOWN, COUNT, AVERAGE_DURATION, COST}>
Nilai default: []

Metric types to receive analytics for

phone_numbers
array<string>
Nilai default: []

Phone numbers to receive analytics for

start
int64

Start time

Diperlukan
tiers
array<string>
Nilai default: []

tiers

Kolom

Jika membaca dari edge ini, maka akan mengembalikan hasil berformat JSON:

{ "data": [], "paging": {} }

data

Daftar dari node WABACallAnalytics.

paging

Untuk perincian selengkapnya tentang penomoran halaman, lihat panduan Graph API.

Error Codes

KesalahanDescription
100Invalid parameter

Membuat

Anda tidak dapat melakukan operasi ini pada titik akhir ini.

Memperbarui

Anda tidak dapat melakukan operasi ini pada titik akhir ini.

Menghapus

Anda tidak dapat melakukan operasi ini pada titik akhir ini.